# Quotez - Programming Quotes
:speech_balloon: This project is a Random Programming Quotes app made with [Programming Quotes API]. Get random programming quotes from an online database and save them in the locally or share them with your friends!


## Screenshots
<p>
  <img src="https://github.com/Ashhas/Mapme/blob/master/screenshot/mapme.gif" width="225">
  <img src="https://github.com/Ashhas/Mapme/blob/master/screenshot/Screenshot_20211024-212207.jpg" width="225"> 
  <img src="https://github.com/Ashhas/Mapme/blob/master/screenshot/Screenshot_20211024-212219.jpg" width="225">
 </p>
 

## Download
The Android version can be download in [Releases].


## Features ✔️
* Fetch a random programming quote
* Save quotes locally
* View all your saved quotes in a list
* Share your quotes through social-media


## Made With 🛠
- [bloc](https://pub.dev/packages/bloc) - State management library for BLoC design pattern
- [flutter_bloc](https://pub.dev/packages/flutter_bloc) - Widgets that make it easy to integrate blocs and cubits
- [dio](https://pub.dev/packages/dio) - Http client for Dart
- [hive](https://pub.dev/packages/hive) - A No-SQL, key-value based database
- [hive_flutter](https://pub.dev/packages/hive_flutter) - Hive extension to make using Hive easier
- [equatable](https://pub.dev/packages/equatable) - Implement value based equality
- [share_plus](https://pub.dev/packages/intl) - Sharing packages that work for both platforms
- [intl](https://pub.dev/packages/intl) - Formatting dates
- [shimmer_animation](https://pub.dev/packages/shimmer_animation) - Package to easily implement a shimmer animation
- [connectivity_plus](https://pub.dev/packages/connectivity_plus) - See network connectivity changes (WiFi vs Cellular vs None)


## How to Build 📱
No API keys needed. After opening the project, do the following commands to build:

- `flutter clean`
- `flutter pub get`

Then to finally run the project:
- `flutter run`

## Development Environment
```
D:\-------\-------\Quotez>flutter doctor
Doctor summary (to see all details, run flutter doctor -v):
[√] Flutter (Channel stable, 2.5.3, on Microsoft Windows [Version 10.0.19042.1288], locale nl-NL)
[√] Android toolchain - develop for Android devices (Android SDK version 31.0.0)
[√] Chrome - develop for the web
[√] Android Studio (version 2020.3)
[√] IntelliJ IDEA Community Edition (version 2021.1)
[√] VS Code (version 1.53.2)
[√] Connected device (3 available)

• No issues found!
```

[Programming Quotes API]:http://quotes.stormconsultancy.co.uk/api
[Releases]:https://github.com/Ashhas/Quotez/releases
